// ISEKAI- the title says all.

// UPPER FLOOR

#include <adv3.h>
#include <en_us.h>

/*Upper floor TODO: 
 -- generally, flesh around MUCH more... remain todo only the library, where
 -- BOOKS RULEZ !!! that is, imp a sizeable set of readables, in the rather 
    obvious place..

TODO LATER:
 -- knowledge score, e.g.architectural designs & details related to winged 
    people, music, &c.
 -- implement the "invisible masta", whose led the PC toward the balcony and
    the arrival (more homing than homely..) of Azuj
 -- adprose the locs & items when with Azuj first, then also with Miyai.   
*/ 

/*
The 1st floor (this is EU !) has in its N half is the public/social zone
(4 locs: balcony/landing pad, upper living room, ballroom, parlour) and in
its S half two locs, the office and library, 6 loc total, plus the two 
location of the attic above; total, 8 locations.
The two locs of the attic has a S/N layout, separated by a set of steps down, 
the ceiling of the library being higher than the office and parlor.
 
The grand total of the central building, lower (12) and upper (8) floor, is 
of 20 locations.

The upper floor has two distinct zones: one, the northern, is the social 
aerea (N to S: landing pad, mezzanine, feast(ball)room, parlour) 
and the other, southern, is the day aerea (N to S: office, and a 
library/study), both having distinct access. 
from below, only the social aerea having stairs (for convenience of 
wingless, non-levitating, guests.. or even intoxicated winged people..); the 
initial access prior of recovering levitation to the day aerea will be thru a 
door (again, for guest's convenience) between the social aerea (parlour) and 
the day aerea (study).

The library, being at the south end, is connected to the tower's 1st floor 
thru a southern set of steps leading to an arched door in the S wall, the 
ceilings of the tower being higher (and with a pair of floor more than the 
house) because of the "take off issues" of the angelic member of the triangle 
requires a "take-off platform" at a good height above the ground.
Of course, my usual inglenook WILL be in the tower..

the marked verticality in the layout of the house's zones (the social zone on 
two level, the day (office/relax/study) zone above the night zone) is natural 
in a world where coexists winged and wingless people, and a treble of two 
winged creatures and the third renewing constantly a long-duration levitation 
spell, lives together, hence the existence of exits up/down WITHOUT stairs, 
whose form a new take to the old "lock/key" puzzle, solved when she recovers 
(and casts) her levitation spell, the (skeleton) key of it.
*/


mezzanine: Room 'Mezzanine'
 "The mezzanine of this grand living room shows how this house is designed 
considering also the needs and peculiarities of winged, flying people: the 
parapet overlooking the lower living room below is a low one, so, you easily 
figure that a winged creature can easily hop between the two floors with a 
wingbeat, and the ceiling reaches up to the barreled roof, roughly eight 
metres above the mezzanine.\n
The design of the furniture here, seatings clustered in pairs or threes 
around low tables, are similar to those in the living room below; against 
the eastern wall, opposite the low parapet, is a cabinet full of beverages; 
the latter giving out the social function of this mezzanine.
\n
An elegant, but at the same time simple, flight of stairs leads down to the 
lower living room, and another large room is beyond a large archway in the 
southern wall and, lastly, a window-door north leads outside into a spacious 
balcony<<if pad.seen>>, whose is also a landing pad<<end>>."
down = living
/* TODO: here will be the final barrier of the early game: when the player is
 * overwhelmed by the sheer mass of discoveries in the upper floor (the 
 * relkno should suffice ?), he needs fresh air, and is appropriately 
 * reminded that there's a balcony, where Atuzejiki will enter the stage.. */
north = pad
south = ball
;

Decoration 'clustered furniture/armchairs*chairs*stools' 'furniture' 
@mezzanine
"half a dozen of armchairs, ten or so chairs and stools are clustered in 
pairs or threes around some low tables scattered around. In design and style, 
these furniture are similar to those in the living room below."
;

Decoration 'low table*tables' 'low tables' @mezzanine
"Nothing is remarkable about these low tables, clearly for holding beverage, 
as there's a beverage cabinet"
;

// mcabinet = Mezzanine Cabinet
mcabinet: Fixture, OpenableContainer 'beverage cabinet' 'cabinet' @mezzanine
"This cabinet is obviously for holding beverages, perhaps of the mildly 
intoxicant type, whose can be seen thru the glazed front doors. But perhaps 
is wise not to indulge in tasting; you know near-zero about the elfin 
physiology of this body, and, for sure, two other people, of rather different 
species, live here, so you can't risk drinking the wrong beverage..\n"
material = glass
;

beverages: Thing 'beverage*beverages' 'beverages' @mcabinet
"these are unknown beverages, of this world."
tasteDesc = "you don't know if these beverages are poisonous to elves, 
so is unwise to taste, more so even actually drinking, those beverages"
isPlural=true
dobjFor (Drink)
{
	verify() {}
	preCond = [touchObj]
	action {
	"you don't know if these beverages are poisonous to elves, so 
is unwise to drink, or even taste, these beverages";
	}
}
;

stairs: MultiLoc, Decoration 'stair*stairs' 'stairs'
   "This elegant but unpretentious flight of stairs between the living room 
below and the mezzanine above points that this house is designed also for 
wingless people."
//   isDecoration = true
   notImportantMsg = 'aside providing a path between the floors for wingless 
people, there\'s not much else to say about these stairs.'
   locationList = [living, mezzanine]
;

pad: Room 'Balcony ?'
"<<if azujMissile.timesActive > 0>>now you're sure that this balcony is also 
a front porch of sort for winged people.<<else>>This balcony look like 
is also a sort of \"landing pad\"<<end>> This makes 
sense, the painting down in the living room points that you share this large 
house with two winged people.\n
The sky above is an alien one, with two moons, one smaller and pinkish and 
the other, larger and whitish blue. You see also much more stars than you see 
on Earth, but this isn't because this world is nearer to the galactic centre, 
because you also see and recognise, notwithstanding the different shape, the 
Milky Way. Perhaps looking at that sky I can recognise some major star, for 
what matters, because you're surely too far away from Earth.\n
What amaze you is the panorama: having eyes whose can see in darkness, like, 
if not more than, cats, you can see in the penumbral light from the two small 
moons and the starlight from these strange constellations, for many miles 
around: Eastward, behind the house, you can see a meadow and a grove, beyond 
those is a pond, against a background of distant hills, a faint glow on one 
of these hints toward a village, or small town, northward is a large tree, 
beyond it is an extensive grassy plain, merging westward into farmland, where 
speckles of light hints where some dwellings, probably farmhouses, are.\n"
south = mezzanine

roomFirstDesc () {
  etuye.sharpkno = true;
//  etuye.wonder = 3;
  "This seems a balcony, but by now you reckon that is also a sort 
of \"landing pad\" of for those winged people, the parapet being another 
low one, other clues being the slight granulation of the floor and the total 
absence of furniture, which can be an obstacle when landing.\n
Raising your gaze to the sky above, you gasp: even discounting the absence 
of optical pollution, you can see many more stars, and if this isn't enough, 
amidst the myriad of stars there's not one large, but <i>two</i> small discs, 
one somewhat pinkish and roughly a fifth of the Moon's disc and the other 
of a pale whitish blue, somewhat around one third the size of Earth's Moon's 
disc. Somehow, their names surfaces from the depths of your elfin mind: The 
larger, whitish is Irlem, and the smaller and pinkish is Reznel.\b
<b>Two moons.</b> this can only means that you're no longer on Earth anymore, 
but on a different world. Gazing around, you notice how much sharper your
vision is, notwithstanding the weak illumination from the twin lunar light 
and the starlight; you realise that you have also a night vision comparable, 
if not even superior, to cats's night vision.\b
if I'm in another world, in a different body, surely what is happening is 
an <b>Isekai</b>, that is, I'm now living another life, in another world, in 
another body, an elfin and female one. On the latter point, I should 
endeavour toward understanding better this new body...\n
<i>But in the immediate, I should get an idea of the lay of this new land, 
starting with gazing the sky and looking at the cardinal directions.</i>"; 
//to score or not to score, this is the question (cit.)
}

roomBeforeAction()
  {
	if (azujMissile.isActive&& !gAction.ofKind(SystemAction)
&& !gActionIn(Look, Examine, Wait)) {
		failCheck ('Good ol\' wisdom suggest that you should track the 
incoming "missile.."');
	}
	if (azujHug.isActive&& !gAction.ofKind(SystemAction)
&& !gActionIn(Look, Examine, Wait)) {
		failCheck ('Is hard to move around with a daemon hugging you, arms 
and wings...');
	}
  }
/* TODO: of course, it's also time for a major bumping of the various *kno; 
 */

roomAfterAction {
  if (milkway.described && stars.described && consts.described)
  {
	"\b<<if !clouds.described>>Hmmm.. I don't know much about the Milky way, 
so is useless comparing those differences, the constellations are 
unrecognisable, so I can't identify known stars, but there's the Magellan 
Clouds, in a different spot, true, but IS a solid reference, and definitively 
I'm still in the Milky way, so <i>looking at the Clouds should give bearings, 
for what is worth.</i>'\n
<<else>><<first time>>Putting all together, I'm hundreds of thousands of not 
only light 
years, but also <b>years</b> from Earth.. This not only confirm that this is 
an Isekai, and that I'm now living a new life, far in the future. This means 
that this body is <i>my</i> body. But something remain unclear: This Etuye 
Alasne, what about her ? I don't remember much about her life, and this body 
is clearly not born yesterday. But I have her feelings.. <i>Feelings</i>?\n
You froze for a moment in realising the immense magnitude of the problem.\n
<i>she's not alone. She has not one, but two loving spouses, and sooner or 
later you will meet them.</i>.\n
The ethical issue is plainly obvious, and the impossibility of finding a 
right solution is painfully evident. You're physically Etuye Alasne, but 
aside her feeling and these vague memories, basic and utilitarian, as a 
person, you're <b>not</b> the Etuye they know and love. You can't imagine a 
more heartbreaking tragedy than having another, different person around in the 
body of their loved one...\b
Distraught by the huge responsability, you sit on the floor, trying to 
assess the alternatives:\n
<i>Pretending to be the actual Etuye ?</i> Absolutely not ! is not only 
repugnant to your conscience and the most terrible thing to do, but with 
spouses whose are actual magicians (also Etuye, but you have no idea about 
how to do magic things), you understand that you have few, if any, hopes of 
keeping this facade for long, not only dealing them the worst heartbreak ever 
possible, but also attract their just ire on yourself..\n
<i>Feigning having lost memory ?</i> A bit better from an ethical 
perspective, but still very questionable: you understand that they live a 
very close life, sharing many private moments, as.. well, wife and wife and 
wife, but on the other side the angel one seems, nay, <b>is</b> a magic 
healer of some sort, and surely will attempt to heal, out of love, exposing 
the feigning, breaking her and the daemon's heart..\n
<i>Confessing the truth ?</i> Surely is the most ethical alternative, at the 
really dearly price of breaking their hearts; a very cruel thing to do, with 
a really thin sweet layer in having dealt this blow to their hearts with 
honesty... not the best solution, you admit, putting this alternative in the 
backburner of your elfin mind.\n
<i>Leaving this place, disappearing somewhere far?</i> Not practicable; you 
don't actually know much about this world, and you don't know if a female elf 
can be inconspicuous or unnoticed, in whatever place, but is also not only 
heartbreaking, but also harrowing for these two spouses. Also, in this world 
where magic actually exists, you can't excludes that the two distraught 
spouses can resort to magic for finding you... and the truth, breaking their 
hearts.\b
Overwhelmed by the huge responsibility and the lack of valid solutions, you 
hug your knees, putting your head between the knees and start crying.\n
In a little corner of your mind, you realise that you're doing the 
stereotypical crying of the desperate heroine, but this don't  console you 
from your predicament. Sobbing, you look up at the alien sky of Railei, 
raising your hand and crying \"Etuye, where are you ??\" The light from the 
twin moon, reflecting on your bracelet, gives an iridescent ray of hope, 
reflecting on the inscription of it.\n 
<i>Spouses and <b>Soulmates</b> forever</i>. Soulmates... 
<i><b>Soul</b>mancy</i> ?\n
You don't know if this iridescent ray of hope is faint or bright, but now you 
feel that the solution maybe lies in the <i>soul</i>. And albeit you seems 
incapable of doing magic, here on Railei the knowledge about souls seems more, 
if not even much more, advanced than on Earth.\n
Wiping your eyes, you stand back up with determination: You don't know when 
you will meet the pair of soulmates, but in the meantime you can  look 
around, searching for knowledge about soul and soulmancy, and <i>there's 
a very large library...</i>.<<only>>";
/* This somber realisation, "what happened to Etuye ?" changes the mood, 
allowing a new means for reining of the player's interaction with the private 
parrts (not only her..), a worthwile objective (avoiding the heartbraking of 
the spouses), whose is a subtle hint on the actual answer (the soul is the 
same...), another being the graduation proceedings (in the library) */
  etuye.wonder = 3;
  }
}
// note that that as pad is too low for Miyai's "take off issue"
; // End of the landing pad proper.

// panorama from the pad.

// TODO: investigate and banish the awkward "(the ground)" message.
padGround: Distant 'granulated tiled floor' 'floor' @pad
 "the pad's ground is tiled, but the tiles are slight granulated, no doubt 
for easing winged people's landing."
;

PadSky: Distant 'alien strange sky/firmament' 'sky' @pad
 "the alien sky is breathtaking, thanks also to your<<first time>> just 
discovered<<only>> elfin night vision: the stars are myriad, but this world 
must not be much nearer the galactic centre, because the Milky Way is easily 
identifiable, albeit differently shaped; also, you can't recognise these 
strange Constellations; Lastly, you can discern many details of the two 
moons's surfaces; and gazing at them, somehow their names surfaces from the 
depths of your elfin mind: the larger is Irlem, and Reznel is the smaller."
;

irlem: Distant 'larger pale whitish irlem/moon*moons' 'Irlem' @pad
 "The size of the disc of Irlem, the larger moon, is one third the disc of 
Luna, the Earth's moon, but is proportionally more luminous, and is perfectly 
round, that is, is in full phase."
isProperName = true
;

reznel: Distant 'smaller pinkish reznel/moon*moons' 'Reznel' @pad
 "The smaller disc of Reznel is only one-fifth of the Earth's moon, and has a 
pinkish hue, and a slight asymmetry of her disc point that is at the 
beginning of its waxing phase."
isProperName = true
;

milkway: Distant 'milky different shaped milky/way' 'milky way' @pad
 "The milky way has a different shape, but you can identify it, because some 
of its regions are the same, but for the rest, is more or less differently 
shaped. you figure that you are seeing it from a different angle, confirming 
that this world where you are is <b>really</b> far from Earth."
;

stars: Distant 'strange myriad star*stars' 'strange constellations' 
@pad
 "You can't recognise even one of the familiar constellations of Earth's sky; 
albeit surely you look also at known stars, the lack of celestial references 
render practically impossible identifying them. The quantity of stars you can 
see points not only to a much lower light pollution, but also that you'are on 
a world nearer the galactic centre of the Milky Way."
;

consts: Distant 'strange unrecognisable constellation*constellations' 
'strange constellations' @pad
 "You can't recognise even one of the familiar constellations of Earth sky; 
all are different, and even trying to look for single lines, you find 
nothing, save a major familiar reference:\n
<b>The Magellan Clouds</b>. <i>Nubecula Major</i> and <i>Nubecula Minor</i>. 
Their shape and relative position between them is the very same, but their 
place is definitively off, meaning that the axis of rotation of this world is 
different, and that there's many stars around, meaning that there's more 
milky way space between here and the Clouds than between Earth and the 
Clouds."
; 

clouds: Distant // perhaps the most distant object ever in an IF...
'Magellan Nubecula cloud/nebula/major/minor*clouds*nebulae' 
'Magellan clouds' @pad
"You concentrate your sight and attention of the Magellan clouds, the only 
reference you have relative to Earth sky.\n
First thing you note, you see more sharply the clouds, allowing an estimate 
of your sharper night vision, more than twice, at least.\n
Then, starting from the reference point represented by the Clouds, you scan 
the sky around those, actually managing to unearth (unsky ?) enough 
reference points for a coarse estimate of this world's position, with an 
astonishing result:\b
<i>at least many hundreds of thousands of not only light years, but also 
years. that is, I'm really far not only in Space, but also in 
<b>TIME</b>!!</i>"
;

padN: Distant 'north/n/northward' 'north' @pad
 "Looking north you can see for miles, thanks to your<<first time>> just 
discovered<<only>> cat-grade nightvision; 
in the foreground is a large tree, against a background of extensive 
grassland, gently sloping down from east toward west, where gradually merges 
into farmland.\n
Below, you can see that the balcony-pad hangs above a low extension of the 
house, like a garage, but wider and with a single normal door and small, 
shuttered windows instead of a large garage door."
;

// -pad = seen from pad, 4 differentiate from their actual counterparts.

extpad: Distant '(ominous) low narrow northern north extension' 
'northern extension' @pad
"The northern extension is low, narrower than the house, and extends roughly 
eight meters from the house's north wall, and has small shuttered windows, 
and there's a door on its west wall."
// the extension and the large tree is to be imp later, in the outside..
;

treepad: Distant 'large tall dark silhouette tree/trunk/canopy' 'tree' @pad
"The tree is tall as, if not taller, than the tower at the opposite end of 
the house, and in the night light, the dark silhouette of its trunk and 
canopy project is a majestic sight to behold."
;

grassland: Distant 'sloping south southern grassland pasture*pastures' 
'grassland' @pad
"The grassland is very gently sloping from east to west, and extends far 
south, beyond the horizon. You strongly suspect that is grazing pastures, 
and a rather extensive one. Perhaps herbivores here are bigger than cows ?"
;


// serendipidity strikes back, 2nd time in 2 consecutive days:
// found how to rationalise the "lock-on" on returning inside...
padS: Distant 'south/s/southward' 'south' @pad
 "Southward your view is obstructed by the house and the tower at its 
southern end; much nearer, the outer side of the window-door is not much 
different from the inner side, but in this new world you can't exclude that 
the concept of 'entrance door' is weak or considered not important.\n
On this latter point, you notice some glowing glyphs forming an inscription"
// the inscription, to be implemented, is alfakno lv.1, and says:
// WELCOME TO THE LOVING NEST OF ETUYE, ATUZEJIKI AND MIRYARAI
// and by serendipidity, this gives a rationale for our PC to think about 
// Azuj, involuntarily beaming out her position to Azuj (Miyai still being 
// too far to detect the presence & position of her soulmate)
;

housepad: Distant 
'(your) two-story triangle\'s throuple\'s trio\'s house/mansion/gables' 
'house' @pad
 "In the penumbral dusk, you easily discern many details of the house:\n 
Has two stories, and some gables near the south end suggest there's a partial 
attic floor above, and beyond those gables, at the south side, is attached 
a tower whose eerily look like a stereotypical mage's tower: tall cone 
roof, tall narrow arched windows, and so on."
;

towerpad: Distant 'eerie south southern stereotypical roofeed mage\'s mage 
tower' 'tower' @pad
"The round tower attached to the south wall, with its tall cone roof, stone 
walls, narrow windows, fits to a T the stereotype of a mage's tower. Looking 
at the windows, you figure that has two more floors than the house, and the 
floors are taller; you can't see gables nor windows on the cone roof, but you 
can't exclude that there's an attic or a garret under that tall cone roof."
;


padE: Distant 'east/e/eastward' 'east' @pad
 "eastward you can see hills some miles distant; on one of the farthest you 
perceive a faint glow, but you're unsure if are the lights of a village or 
town. A breaktaking sight, and you unconsciously mutter \"How is always 
beautiful Railei, day and night..\" <i>Railei</i> ? You realise that is the 
name of the planet, of this world where you're now.\n 
Nearer, thanks to your <<first time>>newly-discovered<<only>> night vision 
you see that behind the house is a meadow, then a grove, beyond which is a 
pond."
;

hills: Distant 'distant farthest hill*hills' 'hills' @pad 
 "The hills are gently sloped; the southernmost ones are forested, and indeed 
their crests are ragged; the others are either pastures or cultivated; on one 
of the farthest, in the north-northeast direction, you notice a glow, 
somewhat reminescent of gaslight, if not for being more pinkish than 
yellowish or greenish.\n
A beautiful sight, surely magnificent in the daylight.\n
<i>But that glow is intriguing.. seems man-made, or perhaps \"sentient-made\" 
is more precise for a place where are also Elves, Angels and even Demons. 
Let's look specifically that glow.</i>"
/* 
 * I understand that is a rather explicit hint, but this is because led to 
 * the best, rather dramatic, entrance on the stage of Azuj..
 * Indeed the glow came from artificial, actually magic, lighting, pinkish 
 * because on Railei pink is seen as a relaxing colour.
 * of course, looking again during daytime WILL be worthwile.. albeit surely 
 * much less than during night... 
*/
;

// wow, true serendipidity !! found a much better fuse for our daemon!!!!!!
glow: Distant 'faint pinkish small glow/village/town' 'glow' @pad
//here came Atuzejiki with all her fiery resolve !!
desc () {
 "You look at the small glow, noticing that has a somewhat half-moon shape 
and that its colour is pinkish, and is at the top of a hill; From these 
details you conclude that is the night illumination of an inhabitated 
settlement; wondering about this place, you succeed in bringing memories 
about that place, remembering not only that is indeed a small town named 
Luroz, and that indeed has urban lighting... by magic globes, as the ones 
giving light inside this house, and that occasionally Azuj goes there for 
care and maintenance of those globes.\n";
if (etuye.wonder == 3) azuj.lockon=true; //boot the "azuj-missile" scene
 else "\b{dear alpha-testers, if you X STARS, CONSTELLATIONS, MILKY WAY then 
X MAGELLAN CLOUDS, then X GLOW again, you can reach the \"pre-alpha\", 
largely incomplete and buggy, part of this alpha version, starring Atuzejiki, 
the chaotic but good Daemoness with Fiery Resolve in name and character.. and 
the most problematic part of the narration. Please comment on the 
narration, alongside reporting bugs. Thanks, your friendly Imp.}";
}
;

meadowpad: Distant 'meadow' 'Meadow' @pad
 "From above, you see that behind the house is a meadow, extending along the 
entire eastern side of the house, from the large tree north to south, behind 
that tower, gently sloping eastward into a grove, whose extends from 
straight east and north, and farther, a pond, extending from a southern 
'panhandle' of the meadow all the way northward, disappearing behind the 
grove." 
;

grovepad: Distant 'grove' 'Grove' @pad
 "Looking at the grove, you notice that is cared with an oriental approach, 
that is, is well cared but has a very natural appareance.\n
From your vantage point above, you notice that is sloping eastward toward the 
pond, but taller and more dense trees obscures your vision of the shore of 
the pond and that somewhat northward of the centre should be a clearing."
;

pondpad: Distant 'pond' 'Pond' @pad
 "Not only thanks to your cat-grade vision, you see clearly the pond, whose 
extends from a southern 'panhandle' of the meadow to behind the grove; in the 
middle of the pond you see an islet, roughly five meter in diameter.\n 
You're fascinated by the play of light on the surface of the placid water, 
where whitish and pinkish hues seems to intermingle in an elaborate dance. 
Looking above, you realise that is the intermingling of the whitish light of 
Irlem with the pinkish light of Reznel."
;

padW: Distant 'west/w/westward' 'west' @pad
 "gazing toward the not-so-wild West you can see farmland for miles 
around, thanks to your <<first time>>newly-discovered<<only>> night vision, 
and you can even discern, here and there, some faint, even for your<<first 
time>> just discovered <<only>> night vision, speckles of light"
;

farmland: Distant 'vast flat western farmland/landscape' 'farmland' @pad
 "The farmland covers the entire western landscape, up to the horizon, whose, 
even accounting for the sharpness of your cat-grade night vision, is farther 
than what can be expected on Earth, this imply that this world is bigger than 
Earth. You can't avoid hoping that the percentage of those annoying 
flat-earthers<<if padE.described>> (flat-raileiers? you can't avoid a sigh of 
relief in noticing that your elfin brain draw a reassuring blank about the 
term..)<<end>> isn't proportionally bigger.."
// apologies for this lapse into politics...
;

speklight: Distant 'speckles speckle light' 'speckles of light' @pad
 "These speckles of light here and here on the farmland came out from 
farmhouses. Perhaps the luminous globes giving light to this house are common 
?"
; // end of the panorama from the pad.


ball: Room 'Ballroom ?'
 "this large room occupies the entire east-west width of this house, and has 
the same very high ceiling of the living room northward, is clearly a 
ballroom of some sort; the few furniture around, a solitary sofa, few 
armchairs and some assorted chairs, are against the walls, leaving a huge 
free central space; against the eastern wall is a large table, which you 
surmise is for buffets,and on a low dais on the opposite wall are 
<<if !piano.described>>a very strange contraption<<else>>
<<if piano.played>>Miyai's<<else>>a<<end>> combination piano-organ<<end>>, 
alongside <<if doubbas.played>>your<<else>>what looks like a<<end>> double 
bass and, on the back of the dais, against the western wall, is a chest.\n
Another archway leads south to a smaller room, and you can return to the 
upper living room north of here."

north = mezzanine
south = parlour
;

mchest: Fixture, OpenableContainer 'music chest' 'music chest' @ball
"This chest, made of a strange, but sturdy, type of wood, lies at the back of 
the dais, between the <<if piano.described>>piano-organ
<<else>>contraption<<end>> and the double bass.\n currently "
// this should work well with the library's default handling of the 
// open/closed state and container's content list.
material = adventium
;

dbow: Thing 'double bass bow' 'double bass bow' @mchest
"This bow, rather long, is clearly the one for<<if doubbas.played>> 
your<<else>> that<<end>> double bow. It's really well cared and is in an 
excellent state.";
;

msheets: Readable 'vulcan like vulcan-like music notation/sheet*sheets' 
'sheets' @mchest
"These sheets are<<if self.read>> music sheets, written in a vertical
two-stave notation<<else>> written in another scripting, reminiscent of 
Vulcan script<<end>>."
readDesc {
"At a first look, what is written seems like Vulcan script, but from where 
you found these, you quickly realise that should be an vertical-written music 
notation, and from this starting point, you rapidly figure the notation, 
centered around two vertical staves."; 
// I'm deaf, so I apologise if I have written foolish nonsense...
name = 'music sheets';
self.read = true;
}

read = nil
isPlural =true
;

flute: Thing 'large concert flute' 'flute' @mchest
"This instrument has a more familiar look; it's definitively a flute, 
somewhat more longer, with a different layout of the keys and holes. The tube 
is silver, but the keys and levers are of copper and brass, giving a 
colorful, even chaotic appareance to this instrument."
played = nil

dobjFor(Play)
 {
	preCond = [objHeld]
	verify() { }
	action() { "You put your lips on the flute's plate and start playing this 
flute, you notice that your pointy ears you has a much larger gamut of 
frequencies than rounded ears, and this larger gamut raise considerely your 
appreciation of the music you're playing, a lively, even chaotic, piece: 
one fit for an horned and leather-tailed girl.. you not only understand that 
this flute is usually played by the daemonic Atuzejiki, but you're also, and 
more surprised that, in playing the flute, your lips is more kissing 
than else, like you long for Azuj's lips... <i>I'm in love with that 
daemon-looking girl ?</i> you wonder.";
name = 'Azuj\'s flute';
etuye.gamutkno = true;
isProperName = true;
cmdDict.addWord(flute, 'Atuzejiki\'s', &adjective);
cmdDict.addWord(flute, 'Azuj\'s', &adjective);
	}
 }
;
piano: Fixture '(very) strange unusual contraption/piano/organ/piano-organ' 
'contraption' @ball
desc {
"You're puzzled by that strange contraption, and examining it carefully, 
you're surprised in discovering that it is a rather unusual musical 
instrument, nonexistant on Earth: is a combination vertical piano and organ. 
You wonder how its music sounds.";
}
played = nil
dobjFor(Examine)
   {
     action()
     {
       inherited;
       changeName();
     }
   }
  changeName()
  {
    if (name == 'contraption') name = 'piano-organ';
  } 

dobjFor(Play)
 {
	verify() { }
	check() {
	 if (!described) "You first examine that strange contraption:\n 
<<piano.desc>>\b";
	 self.described =true;
	}
	
	action() { "You try pressing some keys of the piano-organ, and the 
sound from it kicks <i>something</i> inside you, and you start actually 
playing it; the music is initially alien to you, but you soon realise that 
these elfin pointy ears actually have a much larger gamut of frequencies than 
human rounded ears, and you cannot avoid appreciating the marked improvement 
in musical enjoyment.\n The piece you're playing is more \"angelical\" than 
\"elfin\", and you realise that this instrument is the one played by that 
angelical girl, Miryarai.";
name = 'Miyai\'s piano-organ';
initializeVocabWith('Miryarai\'s Miyai\'s piano/organ/piano-organ');
etuye.gamutkno = true;
self.played = true;
	}
}
;

// yes, in the naming, there's reminescence of the days of coding with the 
// Amiga...
doubbas: Fixture 'double bass' 'double bass' @ball
"This instrument is similiar to a double bass by size and shape, but has 
more strings, two pair of f-holes instead of one, and its shape is different. 
Surely its sound is different; besides, you now have different ears..."
played = nil

dobjFor(Play)
 {  
	verify() {} // logic reasoning 4 a deaf coder challenge taken:
	check() {   // my answer: IS logical trying to pluck a bow instrument.
	if(!dbow.isHeldBy(etuye)){
	  failCheck ('You try plucking this double bass; The resulting 
not-so-great sound confirm without doubt that <b>is</b> a bow instrument.\n
Its bow should be somewhere nearby..');
	}

}
action() {"When you start playing this double bass-like instrument, you 
discover that pair of pointy ears you now have has a much larger gamut of 
frequencies than rounded ears, and this larger gamut raise considerely your 
appreciation of music; and also that you play the instrument with a 
<i>natural</i> aptitude, playing a definitively elfin piece, whose raise a 
warm of love in your chest; you realise that this instrument is the one you 
usually play.";
name = 'your double bass';
cmdDict.addWord(doubbas, 'your', &adjective);
etuye.gamutkno = true;
self.played = true;
	}
 }
// TODO much later: imp "duet" with azuj, then "small band" with the trio
;

Decoration 'solitary long sofa' 'sofa' @ball
"This solitary long sofa, against the center of the north wall, seems 
strategically placed for dancer's rest."
;

Decoration 'varied assorted chair*chairs' 'chairs' @ball
"this assortment of varied chairs is haphazardly placed around the walls, but 
you easily guess that the ones more nearby the large table are strategically 
placed for eating."
;

buffet: Surface, Fixture 'large buffet table' 'table' @ball
"This large table, occupying nearby half of the eastern wall, is of 
light-coloured hardwood, and is currently empty, but because of its position, 
and the chairs clustered nearby, you suspect it is a buffet table.\n"
;

Decoration 'few armchair*armchairs' 'armchairs' @ball
"there are few armchairs, half a dozen, scattered along the walls."
;


parlour: Room 'Parlour'
 "This cozy room is much smaller than the ballroom, and the ceiling is much 
lower, roughly half the ballroom's ceiling, and the furniture around, tables, 
armchairs and a pair of sofas, are grouped into small clusters. These details 
conspire together to give to this parlour a cozy, even intimate, atmosphere, 
analogous to that of the area below the mezzanine; the lower ceiling here 
gives away that evidently there's another, half-length, floor or attic 
above.\n
A door on the west wall leads to another room, and the archway north leads 
back to the ballroom."
north = ball
west = office
;

Decoration 'table*tables' 'tables' @parlour
"You see nothing unusual about those tables."
;

Decoration 'armchair*armchairs' 'armchairs' @parlour
"The armchairs are more or less the same of the other rooms."
;

Decoration 'sofa*sofas' 'sofas' @parlour
"you can't figure unusual details about the sofas"
;

/* 
TODO: placard (above the low library, nearer the door to the library, lv.2 
and contains, on two large columns, the Obligations and the Oath), the 
painted statuettes, imp the plaque on low library, flesh the paint-pic)
*/
office: Room 'Office'
 "This room is definitively an office: there's a desk, in front of it two 
comfortable chairs, behind it.. not one, but three seats !?\n
On the wall behind the desk hang three framed parchments, and another 
of those strange \"painting-picture\" hangs on the eastern wall, beside the 
door you came from. A low library with a pair of painted statuettes and an 
inscribed plaquette is against the southern wall, beside another door; above 
the low library hang a rather large plaque, with two long text side-by side."
// the painting here depicts of another important moment in the life of our 
// trio: the graduation ceremony and the concomitant ablitation to.. 
// magic practice and research. (desc changing in light of reading the parchs)
// three seats because the office is common.
// The low library is the purrfect place for the teddy/teddy Roosevelt joke..

east = parlour
south = library
;

Desk: Surface, Fixture 'simple large office desk' 'desk' @office
"The desk is of a very simple wood and is large and has no drawers. 
Understandable, because on one side often sit a trio of very diverse girls.. 
and their legs.\n"
;

Decoration 'comfortable (guest) chair*chairs' 'chairs'@office
"These two chairs are comfortable, for the guests in this office."
;

Decoration 'three seat/trio*seats' 'trio of seats' @office
"These three seats, the central one with backrest and the two lateral with 
wingrests, obviously are for the trio of very unlikely girls, and is easy to 
figure what is this body's... no, perhaps now I should say <i>my</i> seat, 
the one with the backrest."
;

Decoration 'silver commemorative (trophy) plate' 'silver commemorative plate' 
@lowlib
"<<if etuye.alfakno <1 >>Is a silver plate, embossed with this cursive 
script, you guess it's a prize or gift of some kind.<<else>>It's a 
commemorative plate gifted to the trio from their classmates in 
the Mage Academy. The president, vice-president and secretary's signatures 
are rather ironic in a student spirit:
Svartur, the head-patting President [Rean]
Reyna, the suzerain of Thunder and rapier and Vice-President [Queen]
Rowa, The adorable petite Secretary [Towa]
[in-jokes on class-based JRPG (Persona, ToCS, FF Type-0 here..)]<<end>>"
;

lowlib: Surface, Fixture 'low library' 'low library' @office
"This low library has very few books; between two thirds and three quarters 
of its shelves are either empty or contains assorted memorabilia; on its top 
is a commemorative plate and two unimplemented painted statuettes.\n"
;

vhorr: Fixture 'strong painted statuette/vhorr/demon/daemon' 
'statuette of demon' @lowlib
desc {
 "The statuette represents a strong, very muscular 
daemon, wearing only a short and a decorated shoulder sash and holding an 
unsheathed blade.";
 if (etuye.alfakno >=1) {"\nOn the base of the statuette is carved, in 
daemonic script, \"<b>VHORR</b>\"\n";
// the left parchment reveals the full name of Azuj.
  if (kneze.described && Lparch.read) {
	  "<<first time>>\nVhorr.. Knezejiki.. <i>Atuzejiki !?\n</i> 
You realise that these statuettes are of the ancestors of Azuj: 
<<only>>Vhorr, the Founder of the Clan of Vhorr, and Knezejiki, the Founder 
of the branch of Knezejiki. Obviously these statuettes are very dear to 
Atuzejiki"; }
}
} // Vhorr, meaning lost in the mists of time..
;

kneze: Fixture 'solemn proud painted statuette/knezejiki/demoness/daemoness' 
'statuette of demoness' 
@lowlib
desc {
 "This statuette represents a solemn and proud demoness, wearing a pocketful 
and very practical shirt, jacket and trousers, an haversack slinged on her 
shoulder, holding in one hand a parchment and in the other hand a rod, 
pointed as she's indicating a direction.";
 if (etuye.alfakno >=1) {"\nOn the base of the statuette is carved, in 
daemonic script, \"<b>VHORR KNEZEJIKI, Matron of the Third Branch</b>\"\n";
// the left parchment reveals the full name of Azuj.
  if (vhorr.described && Lparch.read) {
	  "<<first time>>Vhorr.. Knezejiki.. <i>Atuzejiki</i> !?\n 
You realise that these statuettes are of the ancestors of Azuj: 
<<only>>Vhorr, the Founder of the Clan of Vhorr, and Knezejiki, the 
Founder of the branch of Knezejiki. Clearly are statuettes very dear to 
Azuj"; }
}
} // Kneze means "searcher", hence her rather adventurous attire...
;

gpainting: Fixture 'graduation girl\'s  painting/picture/portrait 
three/girls' 'painting' @office
 "this highly-detailed painting (or picture) depicts the same three girls 
depicted in the one in the living room below, wearing a sort of uniform or 
ceremonial dress, a very short indigo cloak, reaching just above the waist, 
draped above a blue closed-collar tunic with silver facings and a very plain 
crimison skirt proudly showing off, a strange device, an elaborate medallion, 
above their heads. Their faces and eyes gleam with accomplishment, but you 
somewhat perceive an undercurrent of expectancy"
// TB improv; the expectancy isn't only that of a career in magic, but also 
// of their imminent Soulmating; the device is a medallion, identifying the 
// owner as a graduated and licensed magician & researcher of magic. 
// The "uniform" is the formal graduation dress.
;

// as in parchments below, the role of this deco is pointing (at the right 
// moment...) that  the two texts are to be read  separately
Decoration 'metal plaque/placard' 'plaque' @office
"Is a rather large metal plaque.\n
<<if etuye.alfakno == 0>>You can't make head nor tails about that is embossed 
with an elegant but intricate and complex scripting, a cursive one, 
reminescent of a very refined blending of Hiragana and Quenya, aside that  
clearly there's two distinct text, because is in two column, each with a 
large and different headers on the top.<<end>>
<<if etuye.alfakno == 1>> On the large headers you understand two distinct 
words: \"OBLIGATIONS\" above one of the two texts and \"OATH\" above the 
other.\n 
You're not optimist about understanding texts whose headers imply a complex, 
solemn text, with your current reading level, but you can read separately 
this oath and those obligations..<<end>>
<<if etuye.alfakno >= 2>> looking at the text, you discover that now you can 
read this oath and those obligations, whose are two distinct and separate 
column of text on the plaque.<<end>>"
;


//to be moved in lngtxt later
oath: Fixture, Readable 'oath' 'Oath'
"
<<if etuye.alfakno == 0>>You can't understand what is written on the 
plaque,the embossed characters being in an elegant, cursive scripting, whose 
look like a blend of Hiragana and Quenya characters.<<end>>
<<if etuye.alfakno == 1>>With your current \"comic-grade\" reading ability, 
you can figure only few words of this text, from which you understand that is 
a very solemn one, as one of the large word on the header top points clearly:
\"<b>OATH</b>\".<<end>>
<<if etuye.alfakno >= 2>>
<i><b>OATH OF MAGI</b>\n
\"As a Magi, is my natural understanding that all form of life is Sacred; 
hence, I will never use the Arts for harm, save for defense and protection, 
First and foremost, of the others, then their means of Living first, then for 
myself, then my means of Living; With my curative and restorative Arts, I 
shall always help people in need of healing, restoration and mending; I also 
shall strive to improve and perfect the knowledge and understanding of the 
Subtle Arts, and share the gained or discovered knowledge with my fellows Magi 
and the Public; But If I perchance learn, learn about, or discover, always 
accidentally, never intentionally, knowledge of Arts usable only for harm, use 
those only for defense of Life and means of Living, and I will share that 
knowledge only to trusted, mature, and very responsible Fellows, ones whose 
I'm fully certain, totally sure and completely satisfied of their absolute 
honesty, rectitude, moral integrity and Respect for all forms of Life, Harmony 
and Peace; I also strive to always mediate impartially divergences between 
peoples, or groups of peoples, using Arts for enforcing peaceful resolution 
only as absolute last resort; Also, I shall support my Teachers and my Pupils 
in all their needs and endeavours, provided that no harm to others and/or 
their goods is planned, expected or even anticipated; If my descendants 
inherits the Gift of comprehension of the Subtle, I shall teach them the Arts, 
together with the Responsibilities and Duties that the Gift of the Subtle 
comport and that they one day will carry</i>\"\b
You wonder if the Hippocratic oath is another universal constant.."
;

// complete the list of obligations
// to be moved in lngtxt later
obligations: Fixture, Readable 'obligation*obligations' 'Obligations'
"
<<if etuye.alfakno == 0>>the embossed characters are in a very intricate, 
cursive scripting, æstethically reminescent of both Hiragana and Quenya 
characters.<<end>>
<<if etuye.alfakno == 1>>With your not exactly extensive reading ability, 
you can get from this text only few words here and there, just enough for 
understanding that is a solemn swearing, perhaps on what a word on the large 
header top seems to point toward: \"<b>OBLIGATIONS</B>\".<<end>>
<<if etuye.alfakno >= 2>>
<i><b>MAGI'S OBLIGATIONS</b>\n
\"The Gift of comprehension of the Subtle and the toiling in learning 
the ways of the Subtle shall lead toward a Sacred Duty, not to a priviledged 
position nor strife, and all Magicians shall always strive to fulfill until 
their very last these Obligations:\n
Great Obligation: A Magi always help, support, sustain and serve, first and 
foremost all souls whose don't have, or have a limited, comprehension of the 
Subtle, then then their fellow Magi, above and beyond eventual disagreements, 
antipathies, divergences with these fellows, then all life coming from the 
Nature.\n
First Obligation: A Magi shall use spells and enchantements in an harmful 
manner only for defense, first in defense of the others and their meaning of 
living, then for the defense of self and own's means of living.\n
Second Obligation: A Magi with knowledge of restorative, curative or 
mending Arts shall never refuse to heal or restore people in need, nor 
refuse to mend their goods.\n
Third Obligation: A Magi will always use the Arts of Subtle for Peace, 
Harmony and mutual Understanding, giving their utmost for mediating a 
peaceful and mutually satisfying solution to the disagreement.\n
Fourth Obligation: If, notwithstanding all efforts, Peace and Harmony is 
lost, and divergences erupt in violence, I shall always defend souls and their 
means of Living, and strive not to win the divergences, but win the 
Peace.\n
Fifth Obligation: A Magi understand that the Cycle of Death and Rebirth is 
Sacred and using Arts for sending souls back to the Cycle is the very last 
resort, resorted only when all other means for defense of other Souls are 
exhausted or ineffective.\n
Sixth Obligation: A Magi will always strive for advancing the knowledge and 
improvement of Subtle and mundane arts, always using extreme discernment and 
careful assessment of potentially harmful misuse or abuse of advancements.\n
Seventh Obligation: A Magi will teach the Subtle to people with the Gift of 
comprehension of the Subtle, treating equally descendants and pupils.\n
Eight Obligation: A magi will always ask and obtain the informed consensus of 
people requiring magical assistance, explaining the spells and enchantements 
to be used.</i>\"\b
<b>wow... it\'s definitively the product of a very advanced and sophisticate 
Ethics...</b>"
;

// this is for suggesting to X invidually the parchments, and turning on the
// lightbulb.
Decoration 'framed three trio*parchments' 'three parchments' @office
"<<if etuye.alfakno <2 >>the three parchments hanging on the wall have an 
formal and official aura; you should examine, or attempt to read, them 
individually, left, central (or middle) and right, the order perhaps doesn't 
matter, but the left one is written in an angular scripting
<<if etuye.alfakno == 1>>, that is, the daemonic script; indeed you notice 
Atuzejiki's name in the writing.\n
<<if !Lparch.read>>The proverbial lightbulb above the head turns on 
again:\n
<i>The Rosetta Stone.. these three parchments seems to have the same content, 
and currently, thanks to those illustrated booklets, I understand much 
better the daemonic scripting, so after reading the text in demonic scripting 
in the left parchment, then the other two in the Lingua Franca scripting, I 
can learn more of this elaborate lingua franca scripting, perhaps enough for 
reading the rest of the inscription carved on my bracelet...</i><<end>> 
<<end>>
<<else>>These three parchments are the graduation certificates of the 
threple..or perhaps <i>triangle</i> is more precise ?\n 
With hindsight, these certificates are what is to be exhibited with pride in 
an practitioner's office... Another universal constant, seems.<<end>>"
;

// Lparch = Left Parchment
Lparch: Fixture, Readable 'framed left parchment' 'left parchment' @office
"<<if etuye.alfakno ==0>>This parchment stands out, because is largely 
written in an angular, sharp scripting, reminescent of both futhark and 
katakana.<<end>>
<<if etuye.alfakno ==1>>This parchment is written roughly between two thirds 
and three quarters in the daemonic script and one quarter in the Lingua 
franca scripting.\n
Above your head the classical lightbulb shines again:\n
<i>Three quarters in that daemonic script, perhaps somewhat less, somewhat 
more than a quarter in that difficult lingua franca script... perhaps enough 
for learning more of this lingua franca, using this text as \"Rosetta Stone\" 
</i>.<<end>>
<<if etuye.alfakno >=2>>This is the graduation certificate of that 
daemonic girl, Atuzejiki; You're grateful that her certificate, perhaps 
because of her heritage, was written in daemonic scripting, allowing that 
\"Operation rosetta Stone\" leading to your understanding much more of the 
two written languages.<<end>>"

readDesc {
 "<<if etuye.alfakno ==0>>You cannot make sense of the writing on the 
parchment, aside that some large words at the very top and sizeable 
portions in the middle and lower part are written in an angular, sharp 
scripting.<<end>>
<<if etuye.alfakno >=1>> Surprisingly, 
considering the text and context, you manage to fully read, with some 
integration, not only the text written with the daemonic scripting, but 
also the few lines in that complex lingua franca scripting:\b
<i>GREAT ARCANORUM OF PENNSARAN,\n 
IN THE YEAR 10.160, FIFTH MONTH, THIRTY-SEVEN DAY\n
THE RECTOR, COLLEGE OF DEANS AND ALL MENTORS OF THIS ARCANORUM,\n
TOGETHER WITH THE PRESIDENT AND MEMBERS OF THE OF THE GREAT ARCANORUM OF 
PENNSARAN'S CHAPTER OF THE MOST SERENE BROTHERHOOD OF ALL MAGI OF RAILEI\b
We certify that in front of us proudly stands</i>\b
<b><i>Atuzejiki, of the ancient and storied clan of Vhorr, from the third 
main branch, of Knezejiki</i></b>\b 
<i>having duly completed her toils in learning the Ways of Subtle, 
cultivating and perfecting the Ways she's attuned, of Engineering, creation, 
construction and demolition...</i>\b
Nothwithstanding your [current understanding of the mutual relationship with 
Azuj], you stop for a moment at the last word, trying to avoid thinking how 
an horned and talon-winged daemon can creatively engineer demolitions with 
Magic, then continue reading:\n
<i>and having passed her final Exam and Trial, and having duly recited and 
sworn the Obligations and the Oath, she is recognised as fellow Magi and 
researcher of the Ways of Subtle, joining the Most Serene Brotherhood of Magi 
as our new sister,</i>\b
<b><i>SISTER VHORR KNEZEJIKI MAGI ATUZEJIKI</b></i>\b
<i> and that she has received her medallion identifying her as a 
full fledged Magi.</i><<end>>
<<if etuye.alfakno == 1 && !self.read>>\b 
so much to digest and understand.. but there's those two other parchment in 
lingua franca scripting.. let's start Operation Rosetta Stone!<<end>>";
// to be improved.
if (etuye.alfakno == 1)  self.read = true; 
}
read = nil 
;

Cparch: Fixture, Readable 'framed central centre middle parchment' 'central 
parchment' @office
"<<if etuye.alfakno ==0>>This parchment looks like an official document of 
sort, but you can't get what is written in an elaborate cursive scripting, 
reminescent of both Quenya and Hiragana. For some reason, you felt a sort of 
connection with this parchment.<<end>>
<<if etuye.alfakno ==1>>This parchment is written in the Lingua 
franca scripting, and is definitively an official document, and you notice 
your, or to be precise, the name of Etuye Alasne, in the text
<<if Lparch.read>>, but you feel confident, after reading the simpler script 
of the left parchment, that you can manage to read this parchment, whose 
looks very similiar.<<end>>.<<end>>
<<if etuye.alfakno >=2>><<first time>>Beyond every hope, you 
successfully manage not only to fully read, but also fully understand the 
text of this parchment.\n<<only>>
This is the graduation certificate of that Etuye Avasne, that is, yourself, 
as it seems, albeit you have no idea of how to do magic or cast spells..\n 
<i>but, as you have recovered a good chunk of reading ability with what 
is basically practice, perhaps the same can be applied to magic ?</i><<end>>"
// pointing to the player the magikno quest...

readDesc {
 "<<if etuye.alfakno ==0 >>You cannot make heads nor tails about what 
is written on the parchment, aside that you somewhat feel that is related to 
you.<<end>>
<<if etuye.alfakno == 1 && !Lparch.read >>You cannot make heads nor tails 
about what is written on the parchment, aside that your, or better, the name 
of Etuye Alasne is written in larger glyphs near the top.<<end>>
<<if Lparch.read>>You get an unexpectedly huge 
success: you 
actually, with the help of some interpolations and integrations, to 
completely read and understand the elaborate formal text in lingua franca 
scripting:\b
<i>GREAT ARCANORUM OF PENNSARAN,\n 
IN THE YEAR 10.160, FIFTH MONTH, THIRTY-SEVEN DAY\n
THE RECTOR, COLLEGE OF DEANS AND ALL MENTORS OF THIS ARCANORUM,\n
TOGETHER WITH THE PRESIDENT AND MEMBERS OF THE OF THE GREAT ARCANORUM OF 
PENNSARAN'S CHAPTER OF THE MOST SERENE BROTHERHOOD OF ALL MAGI OF RAILEI\b
We certify that in front of us, stands graciously</i>\b
<b><i>Etuye Alasne Eniri of the most honorable Rym Iylem</i></b>\b 
<i>having duly completed her toils in learning the Ways of Subtle, 
cultivating and perfecting the Ways she's attuned, of Soulmancy, Time 
scrying, Transmutation and Alteration, and having passed her final Exam and 
Trial, and having duly recited and sworn the Obligations and the Oath, she is 
recognised as fellow Magi..</i>\b
<b>Magi</b> ? Etuye Alasne, that is, me, a Magi ?? as in, a 
<b>spellcaster</b> ? and how I cast spell or whatever ? You search in your 
mind, or to be precise, in your current elfin brain, how magic is casted, but 
you draw a blank,so, you continue reading the parchment, hoping for some 
leads about this mystery:\n
<i>...and researcher of the Ways of Subtle, joining the Most Serene 
Brotherhood of Magi as our new sister,</i>\b
<b><i>SISTER MAGI ETUYE ALASNE VITASI IYLEM</b></i>\b 
<i>and that she has received her medallion identifying her as a full fledged 
Magi.</i>\b
So, Etuye actually IS a full-fledged Magi, a spellcaster, and one versed in a 
sort of magic timetravelling.. but at the beginning is called <b>Eniri</b>, 
then at the end, is called <b>Vitasi</b> ?\n
This time, your elfin mind give quickly the answer: Eniri means \"student, 
apprentice\", and Vitasi means \"Magician\", elfin styling including also the 
title or profession, makes sense in the context.. there's indeed not few 
points to digest and understand from the success of this Operation Rosetta 
Stone of mine..<<end>>";
if (Lparch.read) { 
	etuye.alfakno = 2; // can read the second, defining, line of the bracelet
	etuye.magikno = true; //known being a Magi.
	}
}
;

Rparch: Fixture, Readable 'framed right parchment' 'right parchment' @office
"<<if etuye.alfakno ==0>>This parchment is written in an elaborate cursive 
scripting, reminescent of both Quenya and Hiragana, and looks like a formal 
document of sort.<<end>>
<<if etuye.alfakno ==1>>This parchment is written in the Lingua 
franca scripting, and seems that is actually a formal document of sort, 
perhaps a certificate of some type; you glimpse the name of Miryarai in the 
text 
<<if Lparch.read>>; now you feel confident that you're now capable of reading 
this document, thanks to the successfully reading the left parchment, written 
largely in the simpler daemonic scripting, whose is a sort of graduation 
certificate of that horned girl, Atuzejiki.<<end>>.<<end>>
<<if etuye.alfakno >=2>><<first time>>As expected, you succeeded in reading 
and understanding what is written in this parchment.\n<<only>>
This is the graduation certificate, in magicraft, no less, of that angelic 
girl, Miryarai. And no wonder that her.. specialisation ? anyway, magical 
healing is what is to be expected from an angel..<<end>>"


readDesc {
 "<<if etuye.alfakno ==0 >>You cannot make sense of the writing on the 
parchment, entirely written in that elaborate Quenya-like scripting.<<end>>
<<if etuye.alfakno==1 && !Lparch.read>> You still cannot make sense of the 
writing, but you found Miryarai's name in larger glyphs twice, first in a 
line near the top, then again in another line nearby the end.<<end>>
<<if Lparch.read>> You get an unexpectedly huge success: you 
actually, with the help of some interpolations and integrations, to 
completely read and understand the elaborate formal text in lingua franca 
scripting:\b
<i>GREAT ARCANORUM OF PENNSARAN,\n 
IN THE YEAR 10.160, FIFTH MONTH, THIRTY-SEVEN DAY\n
THE RECTOR, COLLEGE OF DEANS AND ALL MENTORS OF THIS ARCANORUM,\n
TOGETHER WITH THE PRESIDENT AND MEMBERS OF THE OF THE GREAT ARCANORUM OF 
PENNSARAN'S CHAPTER OF THE MOST SERENE BROTHERHOOD OF ALL MAGI OF RAILEI\b
We certify that, standing solemnly in front of us,</i>\b
<b><i>Miryarai Nilasi Yie, daughter of Nilasi Yie Hasjin, daughter of Yie 
Hasjin Noolan</i></b>\b 
<i>having duly completed her toils in learning the Ways of Subtle, 
cultivating and perfecting the Ways she's attuned, of Healing, Restoration, 
Alchemy and Shielding...</i>\n
(Indeed these \"Ways\" are what one expects from an Angel..)\n
<i>...and having passed her final Exam and Trial, and having duly recited and 
sworn the Obligations and the Oath, she is recognised as a fellow Magi and 
researcher of the Ways of Subtle, joining the Most Serene Brotherhood of Magi 
as our new sister,</i>\b
<b><i>SISTER MAGI MIRYARAI NILASI YIE</b></i>\n 
<i>and that she has received her medallion identifying her as a full fledged 
Magi.</i>\b
Miryarai seems well-versed in the very magic needed for this mess.. another 
points to digest and understand from the success of my little Operation 
Rosetta Stone...<<end>>";
if (Lparch.read) etuye.alfakno = 2; // now she can read fully the bracelet
}
;


/* BOOK HANDLING:
 * Every book &c. has a "level" to be compared to the alfakno, as defined in 
 * the alphakno index, and by nature of the location, all texts here are 
 * level 3 and above.
 */

library: Room 'Working library'
 "This is definitively a library, and a sizeable one: the walls are covered 
with floor-to-ceiling bookshelves, aside the openings for two large pair 
of windows, one pair on the eastern and one pair on the western wall, and 
for the doors on the northern and southern wall; a tower-like contraption, 
easily visible from all the library, is nearby the northeastern corner.\n
The presence of two tables, one long and narrow and the other.. triangular ? 
define this library as a working library one; between the books, is a reading 
stand.\n
The southern door is raised from the floor, and there are some steps 
leading to it;\n
Lastly, a steep flight of stairs leads up to the attic above."
// the contraption is the equivalent of the "grandfather's clock", having 
// rotating disks/dials instead of hands. It's an Antihythera machine on 
// steroids, understanding how works can be interesting quest, with a solid 
// advance in knowledge (on astronomy and time keeping/reckoning)  
// [Joey will be delighted...]

// the hole in the floor leads (at least, after meeting Azuj..) to the S end
// of the corridor below, and the one above leads to the attic, both 
// accessible after recovering magic and the levitation spell.
// Aside the bookshelves, on the tables are books, and on the triangular one 
// (the working table of the trio, one side for each..) also scrolls and 
// (note)sheets, content TBD.

north = office
// south = "light" library in the tower (tb implemented, in itower.t)
// ("light" in both senses, luminous and less ponderous books, general, more 
// mundane, knowledge & lore, there.)
// down = corr1S, not trasversable until levitating (after meeting Azuj..)
// up = attic, reachable after levitation and only roughly drafted.
up = atticS
south = llibrary
;

// of course, the "natural" items of the library will be implemented
// AFTER alfakno is finalised & implemented; of course, implementing 
// thousands of readables, albeit definitively a feasible feat for this major 
// bookworm (actually owning thousands of books..), will also means that this 
// will remain a WIP FOREVER... 
// BUT ! is always feasible that either a single title on a spine piques the 
// PC curiosity, or Azuj or Miyai points/hints toward a single specific tome.
Decoration 'massive full bookshelves' 'bookshelves' @library
"these massive bookshelves are full of thousands of books, but albeit you 
tried to read the titles on the spines, you (still..) can't read the script 
in which they are printed."
;

Decoration 'strange tower contraption' 'tower-like contraption' 
@library
"This strange tower-like contraption, taller than you, is vaguely reminescent 
of a 'grandfather's clock', having indeed at the top of the front face a set 
of concentric disks and dials, whose perplexed you for some moments, until 
you noted the very slow rotation of one of the outermost disks and the 
near-inperceptible rotation of one of the dials, leading you to suppose is a 
sort of clock, or some time-related instrument."
;

// yes, Etuye, IS a clock, its apparent complexity is because of a 
// combination of being an astronomical one and of the elaborate 
// time-reckoning on that world. (in other words, an Antihythera Machine on 
// steroids..)

stand: Surface, Fixture 'reading stand' 'reading stand' @library
"It's a reading stand, on which large, bulky books are placed for reading."
;

// TODO: appropriate reading level: 1 for the cover, 3 for the text.
// of course, for a text important for the trio, the proper place should be 
// one of the four drawers of the long table.
gproceed: Fixture, Readable 'graduation folio proceeding/book*proceedings' 
'proceedings of graduation' @library
"On the 
cover is written in bold, elaborate calligraphy:\b
<b>PROCEEDINGS OF THE COLLECTIVE GRADUATION AND ABLITATION OF:\n
VHORR KNEZEJIKI MAGI ATUZEJIKI,\n 
MAGI ETUYE ALASNE VITASI RYM IYLEM,\n
MAGI MIRYARAI NILASI YIE.</b>\n
The full name of Atuzejiki is written in the daemonic script."
specialDesc = "A large, bigger than a folio book is on the stand."
readDesc = "the text is so long, so you skim the book, noting a pair of 
interesting, perhaps crucial, passages:\n
<i>\"Before us are present not one, but three, exceptional students, whose 
have requested to take the graduation and ablitation together, because, and 
I'm proud to announce this happy and unique news, they have decided not only 
to marry together in a full-female throuple, but also to bond together, 
forever into the highest form of marriage:\n
<b>the Soulmating till the end of Time!</b>\n
Yes, the Greatest Soulmating; in my twelve thousand, eight hundred and 
eighty-six years of life, I never seen, less so ritualised, a Soulmating.\n
Dear Fellows and Guests, it's true, the exams will never ends, even for a old 
Great Wyrm and High Archmage, so I shall study the Ritual of Soulmating till 
the End of Time. And I shall strive to do to the perfection said Ritual, 
because, as we soon hear from their voices in turn, \"I shall support my 
Teachers and my Pupils in all their needs and endeavours\". With that, I 
announce also with confidence, but not presumption, that this Soulmating 
will be ritualised and celebrated in this very green this midsummer day, four 
months and some days from now!</i>\"\b
That you're taken aback and shocked is a huge understatement. As Rector, a 
twelve millennia old <b>Great Wyrm</b> ? as in, a <b>Dragon</b> ?? the term 
alone conjure a huge, thick-scaled being spitting long fiery flames from the 
mouth, not an academic Rector.. and a <b>Soulmating till the end of Time</b> 
?? what the heck is this ? you have already figured that this body's 
relationship with the other two girl is a really deep one, but you start to 
realise that this relationship is even much more deep that seems.\n
Draconic rectors aside, that soulmating marriage is at the midsummer day, 
four months after the graduation, whose happened in the fifth month, 
thirty-seven day, thus placing the midsummer day.. in the ninth month. If the 
concept of seasons don't differ much to the Earth, and midsummer is also 
mid-year, this imply that there's 18 months.. and at least the fifth has at 
least thirty-seven days.\n
You glance at the window. Still dark outside, and albeit you don't have 
chronological reference points, is clear that is a long night. All together 
indicate that the Raileian year is longer than the Earth year. And the 
graduation and marriage year is 10.160... but <i>what year is this</i> ?\b
The other passage is in a listing of Etuye's academic accomplishments, one 
accomplishment looks relevant to your current predicament:\b
<i>\"a very substantial contribuition of the Art of Soulmancy, culminating 
in proving that she and her fiancees Atuzejiki and Miryarai are intertwined 
souls, often together during many of their past lives\"</i>\b
..proved that we are <i>intertwined souls, often together..</i> !?\n you 
feel, for the first time, that you have a <i><b>very</b> solid lead</i>."
// the second passage IS the crucial clue,
// leading to the explanation of the mess (with NPC help...), the nameless PC 
// and Etuye being actually the same soul, the same person and identity, 
// leading to the successful solution, recovering Etuye's memory..
;


// TODO: the component containers (3 or 4 drawers), one of which is a large 
// one, for maps.
longTable: Surface, Fixture 'long narrow table*tables' 'long narrow table' 
@library
"this table is much longer than larger, and some books are on its top. Four 
unimplemented drawers are along one of its long side. You think that this 
table is used for either quick consultation or keeping handy needed books.\n
Hence, you suspect that the drawers contain either tools or stationery.\n"
;

triTable: Surface, Fixture 'triangular (common) work table*tables' 
'triangular work table' 
@library
"You cannot avoid thinking that this table with a rather unusual triangular 
shape, is linked to the rather improbable trio you now understand that 
[current status of *kno], and you have the definite sensation that is their 
common work table.\n"
;

atticS: Room 'Attic, above the library'
"The southern, larger, portion of the Attic, the realm, since the days of 
<i>Curses</i>, of sundry items, often forgotten, is now on.\n
North, down some steps, is a smaller but higher-ceiled portion, above the 
parlour." // very temp, only 4 sake of testing
north = atticN
down = library
;

atticN: Room 'attic, above the parlour'
"the northern, smaller, portion of the attic, is another realm of sundry 
items\n
A strange chest without locks lies on the floor.\n
South, you can return to the portion above the library."
// as above, very temp, only 4 sake of testing
south = atticS
up asExit (south)
;

// my customary jab to Lord Inform, being also an homage to Curses
curChest: Decoration 'cursed chest' 'chest' @atticN
// because the attic is accessible only later, after the arrival of Azuj,
// the desc here will be straight from the mouth of our horned lover.
// in the meantime, let's give poor Miyai a tiny "screen time"
// of course Lutearis is a portmanteau of Lutetia and Paris....
// Collndrew is a portmanteau of Collingwood and Meldrew...
// of course, Victor(y), flagship of Lord Nelson (of Nile)....
"This chest has no visible locks and is unopenable. A disembodied angelic 
voice from nowhere gently explains and warns at the same time:\n
\"This forever-sealed chest seals away for the eternity the Cursed Map of the 
House of Collidrew, 
whose apparently seems an unrealistic map of Lutearis, but for who tried to 
find it, bestow its curse of always working toward an accomplishment, never 
reaching a completion: For example, Magi Victor Collidrew is still trying 
to create a natural form of instructing a construct for narrating stories, 
but ends with multiple version, each with differences whose render nearby 
impossible instructing a construct using a later version with instructions 
from an earlier version.\""
;
